---
title: "Freeflow #5: Questing through life"
date: 2025-05-22T14:38:44.00-05:00
lastmod: 2025-05-22T14:38:44.00-05:00
categories:
  - freeflow
tags:
  - post
elsewhere:
  ghost: https://ghost.gil.ink/freeflow-5/
---

Recently my partner and I have played a lot of Baldur’s Gate 3 (I know — already off to a great start in this Freeflow) and it gave me an idea while I was driving home from work. I’ve contemplated more lately about how I have so many different threads spinning in my life constantly but never the bandwidth or time for all of them. Journaling has improved my habits significantly, as has writing these Freeflows, but I’ve been pondering what other changes I could make to solidify better habits and expand my personal growth into other areas of life.

Which brings me back to Baldur’s Gate 3 — and this is hardly unique to BG3, this is an element of RPGs in general — but what if I divided my life into quest lines? I’m not the first to have this idea. There are already systems and apps and journals that game-ify habit-tracking and time management. But I’m particularly considering how my boyfriend and I have approached the quest system. During each act, the game presents you with a certain set of things you can complete in any given area, and it’s up to the player to decide what quest tracks they want to do and what pace or order they take things at. It leads to a lot of variety that can accommodate real-life factors like how long you’re able to play or what mood you’re in. You can plow through an entire track in one go, or you can go around each quest line doing one task at a time. Sometimes the quests intersect so advancing in one quest also moves along another, or one quest’s end leads to another’s beginning. It’s never a big pressure to forge ahead, and you can really take your time witnessing the game world and story unfold and noticing how much work the developers put into every little bit of it.

The entire time you’re progressing through the game, your quest log updates to give you clues about what to do next, the options that exist then and there, and details related to the bigger story. And that’s what I want to experiment with for organizing my life, as a supplement to the Bullet Journal method. A quest page would start with a major task or bigger goal I have, then I could basically document my steps towards that goal. I would proceed one task at a time, writing about what happened at each stage and then adding the next task to complete. Then I could pull from these quest pages into my daily bulleted list. To make it more fun, I might add a fantasy/RPG flavor to the writing. A very simplified example might look something like this:

> ## Clean Gil the Green’s pocket dimension
> 
> + [x] I swept the dust out of the kitchen. Now I should check if the garbage bin is full.
> + [x] I discovered that the garbage bin was full, so I took out the bag. But I was out of trash bags and couldn’t replace it. I need to buy some from the store.
> + [ ] I bought trash bags and took out the garbage. Now that the kitchen is clean, I can begin tidying up the bedchamber…
> + etc.

Obviously I wouldn’t need to take this super seriously. It could also come with a garden page, for planting tasks that aren’t immediately actionable but could be done further down the road. For now, I think I’m going to experiment with this and see how much I enjoy it.